PROC Initialise()
  SEQ
    --{{{  Variables
    SCSI.Status := Zero.B
    Msg.Length :=  Zero.B
    Data.Phase.Time.Out := 32767 (INT16)  -- Disable
    Interrupt.Time.Out := 0 (INT16)         -- Disable
    Cable.Mode := Fast.Cable.Mode
    Identify.Message.Data := BYTE Identify.Lun.0.No.Disconnect
    Request.Sense.Allocation.Length := 18
    Inquiry.Allocation.Length := 36
    Number.of.Blocks := 0
    Transfer.Size := 0
    Error.Count := 0
    Old.Error.Count := 0
    Blocks.Max := 0
    Block.Size := 512
    ATN := 0
    Parity.Checking := Enable.Parity.Checking
    Parity.Generation := Enable.Parity.Generation
    LUN := Zero.B
    Target.ID := Zero.B
    Initiator.ID := 7 (BYTE)
    Execution.Status := SCSI.E.Good
    Data.Transfer.Mode := SCSI.Fast.DMA.Mode
    Last.Block := 0 (INT32)
    Block.Length := 0 (INT32)
    Logical.Block.Address := 0 (INT32)
    Number.of.Blocks.32 := 0 (INT32)
    Null.Transfer.Length := 0 (INT32)
    Compare := FALSE
    Display := FALSE
    Read := FALSE
    Write := FALSE
    Self.Test.Ok := FALSE
    Disconnect.Mode := Disconnection.Disabled
    Quit  := FALSE
    SEQ I = 0 FOR SIZE Status.Message
      Status.Message[I] := ' '
    --}}}
:
