--{{{S.COM
PROTOCOL S.COM
  CASE
    s.clear
    s.clr.eos
    s.clr.eol
    s.up
    s.down
    s.left; INT
    s.right; INT
    s.backspace
    s.goto; INT; INT
    s.insert.line
    s.delete.line
    s.enhance.on
    s.enhance.off
    s.bell
    s.write.char; BYTE
    s.write.string; INT :: []BYTE
    s.write.line; INT; INT::[]BYTE
    s.quit
:
--}}}
--{{{K.COM
PROTOCOL K.COM
  CASE
    k.up
    k.down
    k.left
    k.right
    k.pgup
    k.pgdn
    k.top
    k.bottom
    k.goto
    k.address; INT
    k.refresh
    k.toggle.rw
    k.toggle.asc.hex
    k.insert
    k.delete
    k.confirm
    k.abort
    k.overwrite.hex1; INT
    k.overwrite.hex2; INT
    k.overwrite.asc; BYTE
    k.help
    k.quit
    k.size; INT; INT
:
--}}}
--{{{S.CODE
PROTOCOL S.CODE
  CASE
    sc.size; INT; INT
    sc.clear; INT::[]INT
    sc.clr.eos; INT::[]INT
    sc.clr.eol; INT::[]INT
    sc.up; INT::[]INT
    sc.down; INT::[]INT
    sc.left; INT::[]INT
    sc.right; INT::[]INT
    sc.goto; INT::[]INT
    sc.insert.line; INT::[]INT
    sc.delete.line; INT::[]INT
    sc.enhance.on; INT::[]INT
    sc.enhance.off; INT::[]INT
    sc.bell; INT::[]INT
    sc.end
:
--}}}
--{{{K.CODE
PROTOCOL K.CODE
  CASE
    kc.size; INT; INT
    kc.code; INT; INT::[]BYTE
    kc.end
:

--}}}

