VAL screen.width IS 80:
VAL total.lines  IS 25:
VAL screen.lines IS (total.lines - header.lines):

--{{{  screen codes

VAL iterm.arg IS 0(BYTE):

VAL s.up      IS [27(BYTE),91(BYTE),49(BYTE),65(BYTE)]:
VAL s.down    IS [27(BYTE),91(BYTE),49(BYTE),66(BYTE)]:
VAL s.left    IS [27(BYTE),91(BYTE),49(BYTE),68(BYTE)]:
VAL s.right   IS [27(BYTE),91(BYTE),49(BYTE),67(BYTE)]:
VAL s.goto    IS [27(BYTE),91(BYTE),iterm.arg,22(BYTE),
                  1(BYTE),59(BYTE),iterm.arg,12(BYTE),1(BYTE),72(BYTE)]:
VAL s.clr.eol IS [27(BYTE),91(BYTE),75(BYTE)]:
VAL s.clr.eos IS [27(BYTE),91(BYTE),50(BYTE),74(BYTE)]: -- doesn't work
VAL s.bell    IS [7(BYTE)]:
VAL s.cls     IS [27(BYTE),91(BYTE),50(BYTE),74(BYTE)]:
--}}}

--{{{  key codes
VAL no.special.keys IS 17:
VAL max.key.seq IS 2:
VAL [no.special.keys][max.key.seq+2]INT special.key IS
  [[1, 1, 13, 0],
   [2, 2, 0, 83],
   [2, 1, 8, 0],
   [3, 2, 0, 82],
   [6, 2, 0, 72],
   [7, 2, 0, 80],
   [8, 2, 0, 75],
   [9, 2, 0, 77],
   [55, 2, 0, 71],
   [56, 2, 0, 79],
   [20, 2, 0, 73],
   [21, 2, 0, 81],
   [31, 1, 27, 0],
   [34, 2, 0, 59],
   [35, 2, 0, 60],
   [36, 2, 0, 61],
   [37, 2, 0, 62]]:
--}}}

--{{{  key names
VAL k.delete IS 2:
VAL k.insert IS 3:     -- not standard
VAL k.up     IS 6:
VAL k.down   IS 7:
VAL k.left   IS 8:
VAL k.right  IS 9:
VAL k.top    IS 55:
VAL k.bottom IS 56:
VAL k.pgup   IS 20:
VAL k.pgdn   IS 21:
VAL k.quit   IS 31:
VAL k.help   IS 34:
VAL k.rw.toggle IS 36:        -- not standard
VAL k.ah.toggle IS 35:        -- not standard
VAL k.goto      IS 37:
VAL k.refresh   IS 28:
--}}}
