/*{{{  Header */
/*COMMENT "Copyright INMOS Limited 1990, 1991, 1992" */
/*COMMENT "IMS F002C Product release SCSI software libraries" */
/*------------------------------------------------------------------------------ */
/* */
/* Security    : Copyright 1990 INMOS Limited. */
/* */
/* Date        : 29-Nov-1990 */
/* */
/* File Name   : PHASES.H */
/* */
/* Project     : IMS F002C - SCSI Tram Software */
/* */
/* Version     : 1.0 */
/* */
/* Division    : IQ Systems */
/* */
/* Limitations : This software may be distributed in source form. */
/* */
/* Description : SCSI Phase Definitions */
/* */
/*------------------------------------------------------------------------------ */
/* Schedule of Amendments */
/*------------------------------------------------------------------------------ */
/* */
/*------------------------------------------------------------------------------ */
/*}}}  */
/*{{{  Definitions */
const Data_Out_Phase                              = 0x0000;
const Data_In_Phase                               = 0x0001;
const Command_Phase                               = 0x0002;
const Status_Phase                                = 0x0003;
const ANSI_Reserved_100_Phase                     = 0x0004;
const ANSI_Reserved_101_Phase                     = 0x0005;
const Message_Out_Phase                           = 0x0006;
const Message_In_Phase                            = 0x0007;
/*}}}  */
