/*{{{  Header */
/*#COMMENT "Copyright INMOS Limited 1990, 1991, 1992" */
/*#COMMENT "IMS F002C Product release SCSI software libraries" */
/*------------------------------------------------------------------------------ */
/* */
/* Date        : 19-Jan-1990 09:46:20 */
/* */
/* File Name   : SCSICP7.H */
/* */
/* Project     : F002 - SCSI Tram Software */
/* */
/* Version     : 1.0 */
/* */
/* Division    : IQ Systems */
/* */
/* Limitations : This software may be distributed in source form. */
/* */
/* Description : Constant definitions for SCSI Chapter 7 ( All Device Types ) */
/* */
/*------------------------------------------------------------------------------ */
/* Schedule of Amendments */
/*------------------------------------------------------------------------------ */
/* */
/*------------------------------------------------------------------------------ */
/* */
/*------------------------------------------------------------------------------ */
/* */
/*}}}  */
/*{{{  Those for SCSI2 7.2.1 */
#define SCSI2_7_2_1_Use_Current_Operating_Definition  = 0x00
#define SCSI2_7_2_1_X3_131_1986_Operating_Definition  = 0x01
#define SCSI2_7_2_1_CCS_Operating_Definition  = 0x02
#define SCSI2_7_2_1_X3_131_198X_Operating_Definition  = 0x03
/*}}}  */
/*{{{  Those for Inquiry Command */


#define Inquiry_6_Peripheral_Device_Type 0x001F
#define Inquiry_6_Peripheral_Qualifier   0x00E0
#define Inquiry_6_Device_Type_Qualifier  0x007F
#define Inquiry_6_RMB                    0x0080
#define Inquiry_6_ANSI_Approved_Version  0x0007
#define Inquiry_6_ECMA_Version           0x003C
#define Inquiry_6_ISO_Version            0x00C0
#define Inquiry_6_Response_Data_Format   0x0007
#define Inquiry_6_TrmIOP                 0x0040
#define Inquiry_6_AENC                   0x0080
/*}}}  */
/*{{{  Those for Request Sense */
#define AD_RSD_Max                       256
#define Request_Sense_6_Error_Code       0x007F
#define Request_Sense_6_Valid            0x0080
#define Request_Sense_6_Segment_Number   0x00FF
#define Request_Sense_6_Sense_Key        0x0007
/*}}}  */
/*{{{  Those for Mode Sense */
#define Page_Code_Mask                  0x003F
#define Parameters_Savable_Mask         0x0080
#define Control_Mode_Page               0x000A
#define Disconnect_Reconnect_Page       0x0002
#define Peripheral_Device_Page          0x0009
#define Mode_Parameter_Header_Length_6  0x0004
#define Mode_Parameter_Header_Length_10 0x0008
/*}}}  */
