--{{{  Header
#COMMENT "Copyright INMOS Limited 1990, 1991, 1992"
#COMMENT "IMS F002C Product Release SCSI Software Libraries"
--------------------------------------------------------------------------------
--
-- Date        : 04-Apr-1990
--
-- File Name   : SCSIESTA.INC
--
-- Project     : IMS F002 - SCSI Tram Software
--
-- Version     : 1.0
--
-- Division    : IQ Systems
--
-- Limitations : This software may be distributed in source form.
--
-- Description : Error Messages transmitted on SCSI.E.Execution.Status
--               of FROM.SCSI
--
--------------------------------------------------------------------------------
-- Schedule of Amendments
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--}}}  
--{{{  Constants
VAL INT16 SCSI.E.Good                                       IS #0000 (INT16):
VAL INT16 SCSI.E.Bad.SCSI.Status                            IS #0001 (INT16):
VAL INT16 SCSI.E.Command.Not.Complete                       IS #0002 (INT16):
VAL INT16 SCSI.E.Incorrect.IO.Process.Number                IS #0003 (INT16):
VAL INT16 SCSI.E.SCSI.Bus.Parity.Error                      IS #0004 (INT16):
VAL INT16 SCSI.E.Data.In.Failure                            IS #0005 (INT16):
VAL INT16 SCSI.E.Bad.Data.In.Returned.Packet.Size           IS #0006 (INT16):
VAL INT16 SCSI.E.Data.Out.Failure                           IS #0007 (INT16):
VAL INT16 SCSI.E.Bad.Data.Out.Returned.Packet.Size          IS #0008 (INT16):
VAL INT16 SCSI.E.Data.In.Time.Out                           IS #0009 (INT16):
VAL INT16 SCSI.E.Data.Out.Time.Out                          IS #000A (INT16):
VAL INT16 SCSI.E.Command.Time.Out                           IS #000B (INT16):
VAL INT16 SCSI.E.Status.Time.Out                            IS #000C (INT16):
VAL INT16 SCSI.E.Controller.Reset.Time.Out                  IS #000D (INT16):
VAL INT16 SCSI.E.Bus.Reset.Time.Out                         IS #000E (INT16):
VAL INT16 SCSI.E.Reselected                                 IS #000F (INT16):
VAL INT16 SCSI.E.Function.Not.Complete                      IS #0010 (INT16):
VAL INT16 SCSI.E.Disconnected                               IS #0011 (INT16):
VAL INT16 SCSI.E.Not.Bus.Service                            IS #0012 (INT16):
VAL INT16 SCSI.E.Sequence.Not.Complete                      IS #0013 (INT16):
VAL INT16 SCSI.E.Premature.Phase.Change                     IS #0014 (INT16):
VAL INT16 SCSI.E.Target.Did.Not.Assert.ATN                  IS #0015 (INT16):
VAL INT16 SCSI.E.Target.Did.Not.Assert.Message.Out          IS #0016 (INT16):
VAL INT16 SCSI.E.Selection.Time.Out                         IS #0017 (INT16):
VAL INT16 SCSI.E.Undocumented.Error                         IS #0018 (INT16):
VAL INT16 SCSI.E.Data.In.Abort                              IS #0019 (INT16):
VAL INT16 SCSI.E.Data.Out.Abort                             IS #001A (INT16):
VAL INT16 SCSI.E.Unexpected.Phase.Change                    IS #001B (INT16):
VAL INT16 SCSI.E.Failed.Self.Test                           IS #001C (INT16):
VAL INT16 SCSI.E.Invalid.Interval.Offset                    IS #001D (INT16):
VAL INT16 SCSI.E.Bus.Reset                                  IS #001E (INT16):
VAL INT16 SCSI.E.Bad.Message.Length                         IS #001F (INT16):
VAL INT16 SCSI.E.Bad.Command.Length                         IS #0020 (INT16):
VAL INT16 SCSI.E.Bad.LUN                                    IS #0021 (INT16):
VAL INT16 SCSI.E.Bad.Device.ID                              IS #0022 (INT16):
VAL INT16 SCSI.E.Invalid.Data.Transfer.Size                 IS #0023 (INT16):
VAL INT16 SCSI.E.Interrupt.Time.Out                         IS #0024 (INT16):
VAL INT16 SCSI.E.Bad.Data.Phase.Time.Out                    IS #0025 (INT16):
VAL INT16 SCSI.E.Bad.Interrupt.Time.Out                     IS #0026 (INT16):
VAL INT16 SCSI.E.Invalid.Transfer.Mode                      IS #0027 (INT16):
VAL INT16 SCSI.E.Unsucessful.Reselection                    IS #0028 (INT16):

VAL INT16 SCSI.E.Software.Error                             IS #07FE (INT16):
VAL INT16 SCSI.E.Not.Implemented                            IS #07FF (INT16):

-- #0027..#07FD  reserved by INMOS for future use and additional products.
-- #0800..#FFFF  available to user applications to add extra status info
--               after calls to SCSI library

--}}}  
