--{{{  Header
--#COMMENT "Copyright INMOS Limited 1990, 1991, 1992"
--#COMMENT "IMS F002C Product release SCSI software libraries"
--------------------------------------------------------------------------------
--
-- Author      : Paul Fellows
--
-- Date        : 23-Jan-1990 16:17:52
--
-- File Name   : ADDRPLAC.INC
--
-- Project     : F002C - SCSI Tram Software
--
-- Version     : 0.2
--
-- Division    : IQ Systems
--
-- Limitations : This software may NOT be distributed in source form.
--
-- Description : Hardware definitions for B422 SCSI TRAM
--
--------------------------------------------------------------------------------
-- Schedule of Amendments
--------------------------------------------------------------------------------
--0.2  23-Jan-1990 Added Interrupt.Has.Occurred  P.F.
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--
--}}}  
--{{{  Placements
--{{{  NCR53c94
--{{{  Read Only  NCR53c94 Registers

INT Status:
PLACE Status                             AT Status.Address :

INT Interrupt:
PLACE Interrupt                          AT Interrupt.Address :

INT Sequence.Step:
PLACE Sequence.Step                      AT Sequence.Step.Address :

INT FIFO.Flags:
PLACE FIFO.Flags                         AT FIFO.Flags.Address :

INT NCR.Reserved.1:
PLACE NCR.Reserved.1                     AT NCR.Reserved.1.Address :

INT NCR.Reserved.2:
PLACE NCR.Reserved.2                     AT NCR.Reserved.2.Address :

--}}}  
--{{{  Read/Write NCR53c94 Registers

INT Transfer.Count.LSB:
PLACE Transfer.Count.LSB                 AT Transfer.Count.LSB.Address :

INT Transfer.Count.MSB:
PLACE Transfer.Count.MSB                 AT Transfer.Count.MSB.Address :

INT FIFO:
PLACE FIFO                               AT FIFO.Address :

INT Command:
PLACE Command                            AT Command.Address :

INT Configuration.1:
PLACE Configuration.1                    AT Configuration.1.Address :

INT Configuration.2:
PLACE Configuration.2                    AT Configuration.2.Address :

INT Configuration.3:
PLACE Configuration.3                    AT Configuration.3.Address :

--}}}  
--{{{  Write Only NCR53c94 Registers

INT Destination.Bus.ID:
PLACE Destination.Bus.ID                 AT Destination.Bus.ID.Address :

INT Select.Reselect.Timeout:
PLACE Select.Reselect.Timeout            AT Select.Reselect.Timeout.Address :

INT Synchronous.Period:
PLACE Synchronous.Period                 AT Synchronous.Period.Address :

INT Synchronous.Offset:
PLACE Synchronous.Offset                 AT Synchronous.Offset.Address :

INT Clock.Conversion.Factor:
PLACE Clock.Conversion.Factor            AT Clock.Conversion.Factor.Address :

INT Test.Mode:
PLACE Test.Mode                          AT Test.Mode.Address :
--}}}  
--}}}  
--{{{  DMA Port and flag
INT FIFO.DMA:
PLACE FIFO.DMA                           AT FIFO.DMA.Address:

INT64 FIFO.DMA.8:
PLACE FIFO.DMA.8                         AT FIFO.DMA.Address:

INT DRQ.Flag:
PLACE DRQ.Flag                           AT DRQ.Flag.Address:
--}}}  
--{{{  Subsystem Port
INT Sub.System.Reset:
PLACE Sub.System.Reset          AT Sub.System.Reset.Address:

INT Sub.System.not.Error:
PLACE Sub.System.not.Error      AT Sub.System.not.Error.Address:

INT Sub.System.Analyse:
PLACE Sub.System.Analyse        AT Sub.System.Analyse.Address:
--}}}  
--}}}  
