--{{{  Header
#COMMENT "Copyright INMOS Limited 1990, 1991, 1992"
#COMMENT "IMS F002C Product release SCSI Software libraries"
------------------------------------------------------------------------------
--
-- Date        : 03-May-1990
--
-- File Name   : SCSI.INC
--
-- Project     : IMS F002 - SCSI Tram Software
--
-- Division    : IQ Systems
--
-- Version No. : 1.0
--
-- Limitations : This software may be distributed in source form.
--
-- Description : Globally includes all include files required by an
--               application using IMSF002C.
--
------------------------------------------------------------------------------
-- Schedule of Amendments
------------------------------------------------------------------------------
--
------------------------------------------------------------------------------
--}}}  
--{{{  Includes
--{{{  phases
#INCLUDE "phases.inc"
--}}}  
--{{{  scsi constants
#INCLUDE "scsicons.inc"
--}}}  
--{{{  scsi protocol
#INCLUDE "scsipcol.inc"
--}}}  
--{{{  scsi commands
#INCLUDE "scsicmnd.inc"
--}}}  
--{{{  scsi execution status
#INCLUDE "scsiesta.inc"
--}}}  
--{{{  scsi messages
#INCLUDE "scsimsgs.inc"
--}}}  
--{{{  scsi constant defintions for Chapter 7 (All Device Types)
#INCLUDE "scsicp7.inc"
--}}}  
--}}}  
