--{{{  Header
#COMMENT "Copyright INMOS Limited 1990, 1991, 1992"
#COMMENT "IMS F002C Product release SCSI software libraries"
--------------------------------------------------------------------------------
--
-- Date        : 19-Jan-1990 09:46:20
--
-- File Name   : SCSICP7.INC
--
-- Project     : F002 - SCSI Tram Software
--
-- Version     : 1.0
--
-- Division    : IQ Systems
--
-- Limitations : This software may be distributed in source form.
--
-- Description : Constant definitions for SCSI Chapter 7 ( All Device Types )
--
--------------------------------------------------------------------------------
-- Schedule of Amendments
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--
--}}}  
--{{{  Those for SCSI2 7.2.1
VAL BYTE SCSI2.7.2.1.Use.Current.Operating.Definition        IS #00 (BYTE):
VAL BYTE SCSI2.7.2.1.X3.131.1986.Operating.Definition        IS #01 (BYTE):
VAL BYTE SCSI2.7.2.1.CCS.Operating.Definition                IS #02 (BYTE):
VAL BYTE SCSI2.7.2.1.X3.131.198X.Operating.Definition        IS #03 (BYTE):
--}}}  
--{{{  Those for Inquiry Command


VAL INT Inquiry.6.Peripheral.Device.Type IS #001F :
VAL INT Inquiry.6.Peripheral.Qualifier   IS #00E0 :
VAL INT Inquiry.6.Device.type.Qualifier  IS #007F :
VAL INT Inquiry.6.RMB                    IS #0080 :
VAL INT Inquiry.6.ANSI.Approved.Version  IS #0007 :
VAL INT Inquiry.6.ECMA.Version           IS #003C :
VAL INT Inquiry.6.ISO.Version            IS #00C0 :
VAL INT Inquiry.6.Response.Data.Format   IS #0007 :
VAL INT Inquiry.6.TrmIOP                 IS #0040 :
VAL INT Inquiry.6.AENC                   IS #0080 :
--}}}  
--{{{  Those for Request Sense
VAL INT AD.RSD.Max                       IS 256:
VAL INT Request.Sense.6.Error.Code       IS #007F :
VAL INT Request.Sense.6.Valid            IS #0080 :
VAL INT Request.Sense.6.Segment.Number   IS #00FF :
VAL INT Request.Sense.6.Sense.Key        IS #0007 :
--}}}  
--{{{  Those for Mode Sense
VAL INT Page.Code.Mask                  IS #003F:
VAL INT Parameters.Savable.Mask         IS #0080:
VAL INT Control.Mode.Page               IS #000A:
VAL INT Disconnect.Reconnect.Page       IS #0002:
VAL INT Peripheral.Device.Page          IS #0009:
VAL INT Mode.Parameter.Header.Length.6  IS #0004:
VAL INT Mode.Parameter.Header.Length.10 IS #0008:
--}}}  
