--{{{  Header
--#COMMENT "Copyright INMOS Limited 1990, 1991, 1992"
--#COMMENT "IMS F002C Product release SCSI software libraries"
--------------------------------------------------------------------------------
--
-- Author      : Paul Fellows
--
-- Date        : 19-Jan-1990 11:42:15
--
-- File Name   : B422HWDF.INC
--
-- Project     : F002C - SCSI Tram Software
--
-- Version     : 0.1
--
-- Division    : IQ Systems
--
-- Limitations : This software may be distributed in source form.
--
-- Description : Hardware definitions for B422 SCSI TRAM
--
--------------------------------------------------------------------------------
-- Schedule of Amendments
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
--
--}}}  
--{{{  Declarations
--{{{  Base Address Definition

-- Define a base address for the controller and make all register addresses
-- relative to it to ease portability-
--
VAL Ncr53c94.Base.Address          IS (#7F00 >< (MOSTNEG INT)) >> 1:
--}}}  
--{{{  Peripheral Addresses
VAL FIFO.DMA.Address               IS Ncr53c94.Base.Address + #20:

VAL Sub.System.Reset.Address       IS Ncr53c94.Base.Address + #40:
VAL Sub.System.not.Error.Address   IS Ncr53c94.Base.Address + #40:
VAL Sub.System.Analyse.Address     IS Ncr53c94.Base.Address + #41:

VAL DRQ.Flag.Address               IS Ncr53c94.Base.Address + #60:
--}}}  
--}}}  
